Bug 114049 - setcapacity() doesn't set block device size immediately
setcapacity() doesn't set block device size immediately
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-01-21 16:03 EST by Mike McLean
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-17 19:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2004-01-21 16:03:27 EST
* rawhide-20040121 i386
* kernel-2.6.1-1.52
* anaconda-9.3-0.20040120181205
* nfs install

I've checked the stage2 images.  They are present, mountable, and seem
to be intact.

On VC3 I see:
* mounted SERVER:/PATH/TO/TREE on /mnt/source
* can access /mnt/source/Fedora/base/stage2.img
* mntloop loop0 on /mnt/runtime as /mnt/source/Fedore/base/stage2.img
fd is 25
* failed to mount loop: Invalid argument
* after mountStage2, rc is 1
Comment 1 Mike McLean 2004-01-21 16:17:41 EST
I get a similar error with ftp installs
* transferring ftp://SERVER/PATHTOTREE/Fedora/base/stage2.img to a fd
* copied 68124672 bytes to /tmp/ramfs/stage2.img (complete)
* mntloop loop0 on /mnt/runtime as /tmp/ramfs/stage2.img fd is 19
* failed to mount loop: Invalid argument
* Error mounting /dev/loop0 on /mnt/runtime (Invalid argument)
Comment 2 Mike McLean 2004-01-21 16:18:38 EST
...and http fwiw
Comment 3 Mike McLean 2004-01-21 18:47:55 EST
Jeremy Katz wrote:
>>114049 - installer cannot mount stage2 image
> This is what I saw too :(   There's the thought that this might be
> related to pagecache changes in the kernel.  Or it could be something
> else.  I'm investigating some as is davej.
Comment 4 Jeremy Katz 2004-01-22 12:02:35 EST
Worked around in anaconda by closing the loopfd before doing the mount
(and verified that works).

Comment 5 Mike McLean 2004-01-22 16:35:55 EST
Jeremy's anaconda workaround gets installs going, but since the core
problem remains, I'm leaving this bug open.

Note You need to log in before you can comment on or make changes to this bug.